VULKAN_HPP_NAMESPACE::DeviceCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DeviceCreateInfo:
[legend]

## Public Member Functions

| DeviceCreateInfo (DeviceCreateFlags flags_=DeviceCreateFlags(), uint32_t queueCreateInfoCount_=0, const DeviceQueueCreateInfo *pQueueCreateInfos_=nullptr, uint32_t enabledLayerCount_=0, const char *const *ppEnabledLayerNames_=nullptr, uint32_t enabledExtensionCount_=0, const char *const *ppEnabledExtensionNames_=nullptr, const PhysicalDeviceFeatures *pEnabledFeatures_=nullptr)
| DeviceCreateInfo (VkDeviceCreateInfo const &rhs)
DeviceCreateInfo & | operator= (VkDeviceCreateInfo const &rhs)
DeviceCreateInfo & | setPNext (const void *pNext_)
DeviceCreateInfo & | setFlags (DeviceCreateFlags flags_)
DeviceCreateInfo & | setQueueCreateInfoCount (uint32_t queueCreateInfoCount_)
DeviceCreateInfo & | setPQueueCreateInfos (const DeviceQueueCreateInfo *pQueueCreateInfos_)
DeviceCreateInfo & | setEnabledLayerCount (uint32_t enabledLayerCount_)
DeviceCreateInfo & | setPpEnabledLayerNames (const char *const *ppEnabledLayerNames_)
DeviceCreateInfo & | setEnabledExtensionCount (uint32_t enabledExtensionCount_)
DeviceCreateInfo & | setPpEnabledExtensionNames (const char *const *ppEnabledExtensionNames_)
DeviceCreateInfo & | setPEnabledFeatures (const PhysicalDeviceFeatures *pEnabledFeatures_)
| operator VkDeviceCreateInfo const & () const
| operator VkDeviceCreateInfo & ()
bool | operator== (DeviceCreateInfo const &rhs) const
bool | operator!= (DeviceCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
DeviceCreateFlags | flags
uint32_t | queueCreateInfoCount
const DeviceQueueCreateInfo * | pQueueCreateInfos
uint32_t | enabledLayerCount
const char *const * | ppEnabledLayerNames
uint32_t | enabledExtensionCount
const char *const * | ppEnabledExtensionNames
const PhysicalDeviceFeatures * | pEnabledFeatures

## Private Attributes

StructureType | sType = StructureType::eDeviceCreateInfo

## Detailed Description

Definition at line 22115 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DeviceCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::DeviceCreateInfo::DeviceCreateInfo | ( | DeviceCreateFlags | flags_ = `DeviceCreateFlags()`,
|  | uint32_t | queueCreateInfoCount_ = `0`,
|  | const DeviceQueueCreateInfo * | pQueueCreateInfos_ = `nullptr`,
|  | uint32_t | enabledLayerCount_ = `0`,
|  | const char *const * | ppEnabledLayerNames_ = `nullptr`,
|  | uint32_t | enabledExtensionCount_ = `0`,
|  | const char *const * | ppEnabledExtensionNames_ = `nullptr`,
|  | const PhysicalDeviceFeatures * | pEnabledFeatures_ = `nullptr`
| ) |  |

inline

Definition at line 22117 of file vulkan.hpp.

: flags( flags_ )
, queueCreateInfoCount( queueCreateInfoCount_ )
, pQueueCreateInfos( pQueueCreateInfos_ )
, enabledLayerCount( enabledLayerCount_ )
, ppEnabledLayerNames( ppEnabledLayerNames_ )
, enabledExtensionCount( enabledExtensionCount_ )
, ppEnabledExtensionNames( ppEnabledExtensionNames_ )
, pEnabledFeatures( pEnabledFeatures_ )
{
}

## DeviceCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::DeviceCreateInfo::DeviceCreateInfo | ( | VkDeviceCreateInfo const & | rhs | ) |

inline

Definition at line 22136 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkDeviceCreateInfo &()

VULKAN_HPP_NAMESPACE::DeviceCreateInfo::operator VkDeviceCreateInfo & | ( |  | ) |

inline

Definition at line 22205 of file vulkan.hpp.

{
return *reinterpret_cast<VkDeviceCreateInfo*>(this);
}

## operator VkDeviceCreateInfo const &()

VULKAN_HPP_NAMESPACE::DeviceCreateInfo::operator VkDeviceCreateInfo const & | ( |  | ) | const

inline

Definition at line 22200 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDeviceCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceCreateInfo::operator!= | ( | DeviceCreateInfo const & | rhs | ) | const

inline

Definition at line 22224 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceCreateInfo::operator= | ( | VkDeviceCreateInfo const & | rhs | ) |

inline

Definition at line 22141 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceCreateInfo::operator== | ( | DeviceCreateInfo const & | rhs | ) | const

inline

Definition at line 22210 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( queueCreateInfoCount == rhs.queueCreateInfoCount )
&& ( pQueueCreateInfos == rhs.pQueueCreateInfos )
&& ( enabledLayerCount == rhs.enabledLayerCount )
&& ( ppEnabledLayerNames == rhs.ppEnabledLayerNames )
&& ( enabledExtensionCount == rhs.enabledExtensionCount )
&& ( ppEnabledExtensionNames == rhs.ppEnabledExtensionNames )
&& ( pEnabledFeatures == rhs.pEnabledFeatures );
}

References enabledExtensionCount, enabledLayerCount, flags, pEnabledFeatures, pNext, ppEnabledExtensionNames, ppEnabledLayerNames, pQueueCreateInfos, queueCreateInfoCount, and sType.

Referenced by operator!=().

## setEnabledExtensionCount()

DeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceCreateInfo::setEnabledExtensionCount | ( | uint32_t | enabledExtensionCount_ | ) |

inline

Definition at line 22182 of file vulkan.hpp.

{
enabledExtensionCount = enabledExtensionCount_;
return *this;
}

References enabledExtensionCount.

## setEnabledLayerCount()

DeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceCreateInfo::setEnabledLayerCount | ( | uint32_t | enabledLayerCount_ | ) |

inline

Definition at line 22170 of file vulkan.hpp.

{
enabledLayerCount = enabledLayerCount_;
return *this;
}

References enabledLayerCount.

## setFlags()

DeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceCreateInfo::setFlags | ( | DeviceCreateFlags | flags_ | ) |

inline

Definition at line 22152 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPEnabledFeatures()

DeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceCreateInfo::setPEnabledFeatures | ( | const PhysicalDeviceFeatures * | pEnabledFeatures_ | ) |

inline

Definition at line 22194 of file vulkan.hpp.

{
pEnabledFeatures = pEnabledFeatures_;
return *this;
}

References pEnabledFeatures.

## setPNext()

DeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 22146 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPpEnabledExtensionNames()

DeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceCreateInfo::setPpEnabledExtensionNames | ( | const char *const * | ppEnabledExtensionNames_ | ) |

inline

Definition at line 22188 of file vulkan.hpp.

{
ppEnabledExtensionNames = ppEnabledExtensionNames_;
return *this;
}

References ppEnabledExtensionNames.

## setPpEnabledLayerNames()

DeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceCreateInfo::setPpEnabledLayerNames | ( | const char *const * | ppEnabledLayerNames_ | ) |

inline

Definition at line 22176 of file vulkan.hpp.

{
ppEnabledLayerNames = ppEnabledLayerNames_;
return *this;
}

References ppEnabledLayerNames.

## setPQueueCreateInfos()

DeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceCreateInfo::setPQueueCreateInfos | ( | const DeviceQueueCreateInfo * | pQueueCreateInfos_ | ) |

inline

Definition at line 22164 of file vulkan.hpp.

{
pQueueCreateInfos = pQueueCreateInfos_;
return *this;
}

References pQueueCreateInfos.

## setQueueCreateInfoCount()

DeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceCreateInfo::setQueueCreateInfoCount | ( | uint32_t | queueCreateInfoCount_ | ) |

inline

Definition at line 22158 of file vulkan.hpp.

{
queueCreateInfoCount = queueCreateInfoCount_;
return *this;
}

References queueCreateInfoCount.

## Field Documentation

## enabledExtensionCount

uint32_t VULKAN_HPP_NAMESPACE::DeviceCreateInfo::enabledExtensionCount

Definition at line 22239 of file vulkan.hpp.

Referenced by operator==(), and setEnabledExtensionCount().

## enabledLayerCount

uint32_t VULKAN_HPP_NAMESPACE::DeviceCreateInfo::enabledLayerCount

Definition at line 22237 of file vulkan.hpp.

Referenced by operator==(), and setEnabledLayerCount().

## flags

DeviceCreateFlags VULKAN_HPP_NAMESPACE::DeviceCreateInfo::flags

Definition at line 22234 of file vulkan.hpp.

Referenced by operator==().

## pEnabledFeatures

const PhysicalDeviceFeatures* VULKAN_HPP_NAMESPACE::DeviceCreateInfo::pEnabledFeatures

Definition at line 22241 of file vulkan.hpp.

Referenced by operator==(), and setPEnabledFeatures().

## pNext

const void* VULKAN_HPP_NAMESPACE::DeviceCreateInfo::pNext = nullptr

Definition at line 22233 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## ppEnabledExtensionNames

const char* const* VULKAN_HPP_NAMESPACE::DeviceCreateInfo::ppEnabledExtensionNames

Definition at line 22240 of file vulkan.hpp.

Referenced by operator==(), and setPpEnabledExtensionNames().

## ppEnabledLayerNames

const char* const* VULKAN_HPP_NAMESPACE::DeviceCreateInfo::ppEnabledLayerNames

Definition at line 22238 of file vulkan.hpp.

Referenced by operator==(), and setPpEnabledLayerNames().

## pQueueCreateInfos

const DeviceQueueCreateInfo* VULKAN_HPP_NAMESPACE::DeviceCreateInfo::pQueueCreateInfos

Definition at line 22236 of file vulkan.hpp.

Referenced by operator==(), and setPQueueCreateInfos().

## queueCreateInfoCount

uint32_t VULKAN_HPP_NAMESPACE::DeviceCreateInfo::queueCreateInfoCount

Definition at line 22235 of file vulkan.hpp.

Referenced by operator==(), and setQueueCreateInfoCount().

## sType

StructureType VULKAN_HPP_NAMESPACE::DeviceCreateInfo::sType = StructureType::eDeviceCreateInfo

private

Definition at line 22230 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DeviceCreateInfo::operator==
bool operator==(DeviceCreateInfo const &rhs) const
Definition: vulkan.hpp:22210
VULKAN_HPP_NAMESPACE::DeviceCreateInfo::enabledExtensionCount
uint32_t enabledExtensionCount
Definition: vulkan.hpp:22239
VULKAN_HPP_NAMESPACE::DeviceCreateInfo::pQueueCreateInfos
const DeviceQueueCreateInfo * pQueueCreateInfos
Definition: vulkan.hpp:22236
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DeviceCreateInfo::ppEnabledLayerNames
const char *const * ppEnabledLayerNames
Definition: vulkan.hpp:22238
VULKAN_HPP_NAMESPACE::DeviceCreateInfo::DeviceCreateInfo
DeviceCreateInfo(DeviceCreateFlags flags_=DeviceCreateFlags(), uint32_t queueCreateInfoCount_=0, const DeviceQueueCreateInfo *pQueueCreateInfos_=nullptr, uint32_t enabledLayerCount_=0, const char *const *ppEnabledLayerNames_=nullptr, uint32_t enabledExtensionCount_=0, const char *const *ppEnabledExtensionNames_=nullptr, const PhysicalDeviceFeatures *pEnabledFeatures_=nullptr)
Definition: vulkan.hpp:22117
VULKAN_HPP_NAMESPACE::DeviceCreateInfo::ppEnabledExtensionNames
const char *const * ppEnabledExtensionNames
Definition: vulkan.hpp:22240
VULKAN_HPP_NAMESPACE::DeviceCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:22233
VkDeviceCreateInfo
Definition: vulkan_core.h:2034
VULKAN_HPP_NAMESPACE::DeviceCreateInfo::queueCreateInfoCount
uint32_t queueCreateInfoCount
Definition: vulkan.hpp:22235
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::DeviceCreateInfo::pEnabledFeatures
const PhysicalDeviceFeatures * pEnabledFeatures
Definition: vulkan.hpp:22241
VULKAN_HPP_NAMESPACE::DeviceCreateInfo::flags
DeviceCreateFlags flags
Definition: vulkan.hpp:22234
VULKAN_HPP_NAMESPACE::DeviceCreateInfo::enabledLayerCount
uint32_t enabledLayerCount
Definition: vulkan.hpp:22237
VULKAN_HPP_NAMESPACE::DeviceCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:22230